package cn.com.qmth.examcloud.starters.face.verify;

import org.springframework.boot.context.properties.ConfigurationProperties;

import java.io.Serializable;

/**
 * 人脸识别相关配置信息
 */
@ConfigurationProperties(prefix = "examcloud.face.verify", ignoreUnknownFields = false)
public class FaceVerifyProperties implements Serializable {

    private static final long serialVersionUID = 1L;

    /*
     * Face++API Key
     */
    private String facePlusKey;

    /*
     * Face++API Secret
     */
    private String facePlusSecret;

    /*
     * 百度在线API Key
     */
    private String baiduKey;

    /*
     * 百度在线API Secret
     */
    private String baiduSecret;

    /*
     * 百度私有化部署API appId
     */
    private String privateBaiduAppId;

    /*
     * 百度私有化部署API 接口地址前缀
     */
    private String privateBaiduUrlPrefix;

    /*
     * 是否默认优先使用 百度私有化部署API
     */
    private Boolean defaultPrivateBaiduApi = true;

    /*
     * 百度自定义人脸相似度期望通过的阈值
     */
    private Double baiduExpectFaceCompareScore = 70d;

    public String getFacePlusKey() {
        return facePlusKey;
    }

    public void setFacePlusKey(String facePlusKey) {
        this.facePlusKey = facePlusKey;
    }

    public String getFacePlusSecret() {
        return facePlusSecret;
    }

    public void setFacePlusSecret(String facePlusSecret) {
        this.facePlusSecret = facePlusSecret;
    }

    public String getBaiduKey() {
        return baiduKey;
    }

    public void setBaiduKey(String baiduKey) {
        this.baiduKey = baiduKey;
    }

    public String getBaiduSecret() {
        return baiduSecret;
    }

    public void setBaiduSecret(String baiduSecret) {
        this.baiduSecret = baiduSecret;
    }

    public String getPrivateBaiduAppId() {
        return privateBaiduAppId;
    }

    public void setPrivateBaiduAppId(String privateBaiduAppId) {
        this.privateBaiduAppId = privateBaiduAppId;
    }

    public String getPrivateBaiduUrlPrefix() {
        return privateBaiduUrlPrefix;
    }

    public void setPrivateBaiduUrlPrefix(String privateBaiduUrlPrefix) {
        this.privateBaiduUrlPrefix = privateBaiduUrlPrefix;
    }

    public Boolean getDefaultPrivateBaiduApi() {
        return defaultPrivateBaiduApi;
    }

    public void setDefaultPrivateBaiduApi(Boolean defaultPrivateBaiduApi) {
        this.defaultPrivateBaiduApi = defaultPrivateBaiduApi;
    }

    public Double getBaiduExpectFaceCompareScore() {
        return baiduExpectFaceCompareScore;
    }

    public void setBaiduExpectFaceCompareScore(Double baiduExpectFaceCompareScore) {
        this.baiduExpectFaceCompareScore = baiduExpectFaceCompareScore;
    }

}
